Cyberduck Mountain Duck CLI

#2500 closed defect (fixed)

STAT fails for directories containing spaces in filename

Reported by: cyberduck.ch@… Owned by: dkocher
Priority: normal Milestone: 3.6
Component: ftp Version: 3.0.2
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

I have many directories containing spaces, and since at least 3.0.2 (or 3.0.1, but I'm not sure of it), I'm unable to browse them or to download them.

Using sftp "solves" the problem, but, well, it's not ftp, and it's slower.

Change History (14)

comment:1 Changed on Aug 26, 2008 at 8:03:10 PM by dkocher

Please post the transcript from View → Log Drawer.

comment:2 follow-up: Changed on Aug 31, 2008 at 1:19:07 PM by dkocher

  • Status changed from new to assigned

This is related to #2445. It should fall back to LIST but for some reason does not. Please post the transcript to help resolve this issue.

comment:3 in reply to: ↑ 2 ; follow-up: Changed on Aug 31, 2008 at 4:21:23 PM by Mathieu Arnold

Replying to dkocher:

This is related to #2445. It should fall back to LIST but for some reason does not. Please post the transcript to help resolve this issue.

Yes, it looks like it's related to 2445, the thing is that sometime, it does not fall back. (The transcript I have I can't disclose, they contain pretty sensitive informations.)

Say, I have the following directories

  • /Foo Bar/Baz
  • /Foo/Buz

The transcript will say :

STAT /Foo Bar

then appears the listing of the /Foo directory, listing the Buz directory. So, then it'll ask :

STAT /Foo Bar/Buz

which will still get the listing of the Foo directory, and thus, it will ask :

STAT /Foo Bar/Buz/Buz

etc... which never ends. (At least, I didn't have the patience to wait until it gives an error.)

Last edited on Aug 10, 2010 at 3:22:11 PM by dkocher (previous) (diff)

comment:4 in reply to: ↑ 3 Changed on Aug 31, 2008 at 9:05:50 PM by dkocher

Replying to Mathieu Arnold:

Thanks for your comment. This explains a lot. We will have to find a way to detect servers not correctly escaping spaces in pathnames before issueing a local ls command.

comment:5 follow-up: Changed on Sep 6, 2008 at 9:08:37 AM by Mathieu Arnold

Hi,

I see that #2445 has been fixed. Does that mean that this one is fixed too ?

Regards,

comment:6 in reply to: ↑ 5 Changed on Sep 9, 2008 at 8:00:08 PM by dkocher

Replying to Mathieu Arnold:

Hi,

I see that #2445 has been fixed. Does that mean that this one is fixed too ?

Regards,

No, this issue is still open.

comment:7 Changed on Oct 17, 2008 at 9:16:01 PM by dkocher

  • Milestone changed from 3.0.3 to 3.1

Won't make it into the next release.

comment:8 Changed on Oct 24, 2008 at 8:05:01 AM by dkocher

#2690 closed as duplicate.

comment:9 Changed on Oct 24, 2008 at 8:06:28 AM by dkocher

Until this issue is resolved, use the workaround as described in help/en/problems?.

comment:10 Changed on Apr 9, 2009 at 12:51:39 PM by dkocher

#3034 closed as duplicate.

comment:11 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:12 Changed on Jan 16, 2010 at 1:00:14 PM by dkocher

  • Milestone 3.5 deleted
  • Priority changed from highest to normal
  • Summary changed from Can't browse/get directories containing spaces to STAT fails for directories containing spaces in filename

comment:13 Changed on Aug 10, 2010 at 3:22:59 PM by dkocher

Sample transcript:

MKD test 
257 "/test " - Directory successfully created
NOOP
200 NOOP command successful
STAT /
211-Status of /:
drwx--x---   9 hklaw    adm          4096 Aug  9 10:02 .
drwx--x---   9 hklaw    adm          4096 Aug  9 10:02 ..
drwxr-xr-x   2 hklaw    pg70042      4096 Aug  9 10:02 test 
drwxr-xr-x   2 hklaw    pg70042      4096 Jun 13 05:48 webdoc
211 End of status
NOOP
200 NOOP command successful
CWD /test
550 /test: No such file or directory

comment:14 Changed on Aug 12, 2010 at 9:42:56 AM by dkocher

  • Milestone set to 3.6
  • Resolution set to fixed
  • Status changed from assigned to closed

In r6605.

Note: See TracTickets for help on using tickets.
swiss made software